Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create or update variant price

Creates a new price or updates an existing price for a product variant in a specific market and store group.

PUT/api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}/prices
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
variant_idstringrequired

Variant ID

app_slugstringrequired

App slug

team_slugstringrequired

Team slug

product_idstringrequired
Request body
requiredapplication/json

Price data including market, store group, and pricing details

amount_cents_with_taxinteger
min 0
dont_update_price_if_on_saleboolean

Used to prevent overwriting price if on_sale.

market_slugstringrequired
on_saleboolean
reference_price_with_taxinteger
min 0
sale_end_timestampstring
sale_price_with_taxinteger
min 0
sale_start_timestampstring
statusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatusrequired
Allowed:activeinactivedraft
store_group_slugstringrequired
Responses
200

Created or updated price with store group and market details

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGrouprequired
Show properties
amount_cents_with_taxinteger
created_atstring
idstring
marketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Market
Show properties
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
on_saleboolean
reference_price_with_taxinteger | null
sale_end_timestampstring | null
sale_price_with_taxinteger | null
sale_start_timestampstring | null
statusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus
Allowed:activeinactivedraft
store_groupgithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroup
Show properties
country_of_salestring | null
created_atstring
descriptionstring
idstring
namestring
slugstring
store_typestring
updated_atstring | null
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/products/string/variants/string/prices' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "amount_cents_with_tax": 0,
  "dont_update_price_if_on_sale": true,
  "market_slug": "string",
  "on_sale": true,
  "reference_price_with_tax": 0,
  "sale_end_timestamp": "string",
  "sale_price_with_tax": 0,
  "sale_start_timestamp": "string",
  "status": "active",
  "store_group_slug": "string"
}'
Response
{
  "data": {
    "amount_cents_with_tax": 0,
    "created_at": "string",
    "id": "string",
    "market": {
      "active": true,
      "country_codes": [
        "string"
      ],
      "created_at": "string",
      "currency_code": "string",
      "id": "string",
      "locale": "string",
      "name": "string",
      "slug": "string",
      "updated_at": "string"
    },
    "on_sale": true,
    "reference_price_with_tax": 0,
    "sale_end_timestamp": "string",
    "sale_price_with_tax": 0,
    "sale_start_timestamp": "string",
    "status": "active",
    "store_group": {
      "country_of_sale": "string",
      "created_at": "string",
      "description": "string",
      "id": "string",
      "name": "string",
      "slug": "string",
      "store_type": "string",
      "updated_at": "string"
    },
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}